=== modified file '__init__.py'
--- __init__.py	2006-05-20 19:24:12 +0000
+++ __init__.py	2006-05-20 19:47:46 +0000
@@ -37,12 +37,12 @@
             if str(e) == "could not open display":
                 raise NoDisplayError
 
-        from clone import GCloneDialog
+        from clone import CloneDialog
 
-        window = GCloneDialog()
+        window = CloneDialog()
         if window.run() == gtk.RESPONSE_OK:
-            print window.url
-            print window.dest_path
+            bzrdir = BzrDir.open(window.url)
+            bzrdir.sprout(window.dest_path)
 
 register_command(cmd_gbranch)
 

=== modified file 'clone.py'
--- clone.py	2006-05-20 19:23:38 +0000
+++ clone.py	2006-05-20 19:47:46 +0000
@@ -21,7 +21,11 @@
 import pango
 from bzrlib.delta import compare_trees
 
-class GCloneDialog(gtk.Dialog):
+#FIXME: Allow specifying stop_revision
+#FIXME: Allow specifying target branch format
+#FIXME: Implement _Browse callback
+
+class CloneDialog(gtk.Dialog):
     """ Branch (clone) Dialog """
 
     def __init__(self, dest_path=None):
@@ -31,6 +35,45 @@
 
         self._create()
 
+        if dest_path:
+            self.url_entry.set_text(dest_path)
+
+    def _get_url(self):
+        return self.url_entry.get_text()
+
+    def _get_dest_path(self):
+        return self.path_entry.get_text()
+
+    dest_path = property(_get_dest_path)
+    url = property(_get_url)
+
+    def _browse_cb(self, *args):
+        #FIXME
+        pass
+
     def _create(self):
+        frame = gtk.Frame(label="Branch URL")
+        self.vbox.pack_start(frame, fill=True)
+        self.url_entry = gtk.Entry()
+        frame.add(self.url_entry)
+        frame.show_all()
+
+        frame = gtk.Frame(label="Destination Path")
+        self.vbox.pack_start(frame, fill=True)
+        hbox = gtk.HBox()
+        self.path_entry = gtk.Entry()
+        hbox.add(self.path_entry)
+        hbox.add(gtk.Button(label="_Browse"))
+        frame.add(hbox)
+        frame.show_all()
+
+        frame = gtk.Frame(label="Options")
+        self.vbox.pack_start(frame)
+        vbox = gtk.VBox()
+        self.lightweight_button = gtk.CheckButton(label="Lightweight")
+        vbox.add(self.lightweight_button)
+        frame.add(vbox)
+        frame.show_all()
+
         self.add_buttons(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, "_Get", gtk.RESPONSE_OK)
                          

